This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 905841 - [abrt] gedit-3.6.2-1.fc18: gtk_tree_model_filter_row_deleted: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.6.2-1.fc18: gtk_tree_model_filter_row_deleted: Process /usr/bi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:0aae8b5779e42e4a341d4c0580a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 04:56 EST by Stef Walter
Modified: 2014-02-05 13:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 13:41:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.52 KB, text/plain)
2013-01-30 04:56 EST, Stef Walter
no flags Details
File: cgroup (127 bytes, text/plain)
2013-01-30 04:56 EST, Stef Walter
no flags Details
File: core_backtrace (2.52 KB, text/plain)
2013-01-30 04:56 EST, Stef Walter
no flags Details
File: dso_list (12.70 KB, text/plain)
2013-01-30 04:57 EST, Stef Walter
no flags Details
File: environ (3.70 KB, text/plain)
2013-01-30 04:57 EST, Stef Walter
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-30 04:57 EST, Stef Walter
no flags Details
File: maps (57.53 KB, text/plain)
2013-01-30 04:57 EST, Stef Walter
no flags Details
File: open_fds (874 bytes, text/plain)
2013-01-30 04:57 EST, Stef Walter
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-01-30 04:57 EST, Stef Walter
no flags Details
File: smolt_data (2.75 KB, text/plain)
2013-01-30 04:57 EST, Stef Walter
no flags Details
File: var_log_messages (351 bytes, text/plain)
2013-01-30 04:57 EST, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2013-01-30 04:56:07 EST
Description of problem:
Tried to save a file to the /tmp directory with the file chooser dialog. Started typing the name, and then hit backspace. This caused the crash.

Version-Release number of selected component:
gedit-3.6.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        gedit /usr/bin/xmlto
crash_function: gtk_tree_model_filter_row_deleted
executable:     /usr/bin/gedit
kernel:         3.6.6-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_filter_row_deleted at gtktreemodelfilter.c:2590
 #5 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #6 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #7 remove_file at gtkfilesystemmodel.c:1912
 #8 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #9 ffi_call_unix64 at ../src/x86/unix64.S:75
 #10 ffi_call at ../src/x86/ffi64.c:486
 #11 g_cclosure_marshal_generic_va at gclosure.c:1550
 #12 _g_closure_invoke_va at gclosure.c:840
 #15 emit_cb at gfilemonitor.c:390
Comment 1 Stef Walter 2013-01-30 04:56:11 EST
Created attachment 690248 [details]
File: backtrace
Comment 2 Stef Walter 2013-01-30 04:56:13 EST
Created attachment 690249 [details]
File: cgroup
Comment 3 Stef Walter 2013-01-30 04:56:16 EST
Created attachment 690250 [details]
File: core_backtrace
Comment 4 Stef Walter 2013-01-30 04:57:15 EST
Created attachment 690251 [details]
File: dso_list
Comment 5 Stef Walter 2013-01-30 04:57:17 EST
Created attachment 690252 [details]
File: environ
Comment 6 Stef Walter 2013-01-30 04:57:19 EST
Created attachment 690253 [details]
File: limits
Comment 7 Stef Walter 2013-01-30 04:57:21 EST
Created attachment 690254 [details]
File: maps
Comment 8 Stef Walter 2013-01-30 04:57:24 EST
Created attachment 690255 [details]
File: open_fds
Comment 9 Stef Walter 2013-01-30 04:57:27 EST
Created attachment 690256 [details]
File: proc_pid_status
Comment 10 Stef Walter 2013-01-30 04:57:29 EST
Created attachment 690257 [details]
File: smolt_data
Comment 11 Stef Walter 2013-01-30 04:57:32 EST
Created attachment 690258 [details]
File: var_log_messages
Comment 12 Jeff Walden (remove +brc to email) 2013-03-01 21:41:18 EST
Just normal text editing.  gedit had been open for awhile, with a fair number of files opened and closed in it, so it wasn't anything close to a "fresh" session.

backtrace_rating: 4
Package: gedit-3.6.2-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 13 Fedora End Of Life 2013-12-21 05:59:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 13:41:19 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.